# SCA_PropertySensor(SCA_ISensor)

base class — `SCA_ISensor`

class `bge.types.``SCA_PropertySensor`(SCA_ISensor)

  Activates when the game object property matches.

  `mode`

    Type of check on the property. Can be one of these constants

    Type: | integer.

  `propName`

    the property the sensor operates.

    Type: | string

  `value`

    the value with which the sensor compares to the value of the property.

    Type: | string

  `min`

    the minimum value of the range used to evaluate the property when in interval mode.

    Type: | string

  `max`

    the maximum value of the range used to evaluate the property when in interval mode.

    Type: | string